#include <iostream>
using namespace std;
int *a;
int n;

int main()
{
    cin>>n;
    a= new int [n];//动态数组的申请 
	//向操作系统申请连续的n个int类型的空间 
	for(int i=0;i<n;i++)
	  cin>>a[i];
	for(int i=1;i<n;i++)
	  a[i] += a[i-1];
	for(int i=0;i<n;i++)
	  cout<<a[i]<<" ";
	cout<<endl;
	return 0;
}
